> For the complete documentation index, see [llms.txt](https://docs.luxy.io/help-center/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luxy.io/help-center/developers/smart-contracts/royalty-registry.md).

# Royalty Registry

[Royalty-Registry](https://polygonscan.com/address/0x4e8b54213fcc9e994bd8c6daaa00ebb2ac7941e0): [0x4e8b54213fcc9e994bd8c6daaa00ebb2ac7941e0](https://polygonscan.com/address/0x4e8b54213fcc9e994bd8c6daaa00ebb2ac7941e0)

### Collection Royalties

The royalty registry can set a standard royalty for the Collection, allowing for external collections to receive royalties from sales on Luxy. It can also be combined with Token Royalties to create a second layer of royalties in a Curated Collection Model.

The collection royalties can be added and edited by the Token Smart Contract Owner and Luxy Admin.&#x20;

This type of Royalty will be only compatible with contracts listening to the Luxy Royalty Registry contract. Since the information is stored there.&#x20;

### Token Royalties

NFT creators can add an array of addresses and royalty percentages at the time of mint.

The royalties on the NFT Token Smart Contract values cannot be edited once the NFT is minted, we added the possibility to change the receiving address. This change can only be done by the own address receiving the royalties.&#x20;

The Luxy royalty registry checks for compatible interface standards from other marketplaces:

* Luxy V1 (Compatible with EIP-2981)
* Rarible's V2
* EIP-2981

The Royalty Registry contract do queries on the NFT contract address for each of these standards and if one of them is implemented it will be considered on Luxy protocol during the exchange of assets

### Functions

* `getRoyalties`
* `getRoyaltiesToken`
* `getRoyaltiesTokenAndTokenId`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luxy.io/help-center/developers/smart-contracts/royalty-registry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
